import enum
from typing import Optional

from cv2.typing import MatLike

class MoveScene(enum.Enum):
    COMMAND_MOVE = ...
    COMMAND_POKEMON = ...

class Effectiveness(enum.Enum):
    SUPER_EFFECTIVE = ...
    EFFECTIVE = ...
    NOT_VERY_EFFECTIVE = ...
    NO_EFFECT = ...

def recognize_effectiveness(
    image: MatLike,
    scene: MoveScene,
    index: int,
) -> Optional[Effectiveness]: ...
