import enum
from typing import Optional
from cv2.typing import MatLike

class Scene(enum.Enum):
    SELECTION = ...
    SELECTION_SUMMARY = ...
    SELECTION_MOVES_AND_STATS = ...
    SELECTION_MEMORIES = ...
    SELECTION_COMPLETE = ...
    COMMAND = ...
    COMMAND_MOVE = ...
    COMMAND_POKEMON = ...
    COMMAND_POKEMON_SUMMARY = ...
    COMMAND_POKEMON_MOVES_AND_STATS = ...
    COMMAND_POKEMON_MEMORIES = ...
    COMMAND_CANCELING = ...
    COMMAND_TEAM = ...
    COMMAND_SITUATION = ...
    FIELD_MENU = ...
    LOBBY = ...

def recognize_scene(image: MatLike) -> Optional[Scene]: ...
